---
title: llarp::rpc::endpoint::Stateful

---

# llarp::rpc::endpoint::Stateful





Inherits from [llarp::rpc::endpoint::Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Endpoint.md)

Inherited by [llarp::rpc::endpoint::GetStatus](Classes/structllarp_1_1rpc_1_1endpoint_1_1GetStatus.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Stateful.md#function-endpoint)**() |
| | **[Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Stateful.md#function-endpoint)**(std::string _str) |
| | **[Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Stateful.md#function-endpoint)**(nlohmann::json _json) |

## Additional inherited members

**Public Functions inherited from [llarp::rpc::endpoint::Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Endpoint.md)**

|                | Name           |
| -------------- | -------------- |
| | **[~Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Endpoint.md#function-~endpoint)**() =default |

**Public Attributes inherited from [llarp::rpc::endpoint::Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Endpoint.md)**

|                | Name           |
| -------------- | -------------- |
| std::variant< std::string, nlohmann::json > | **[response](Classes/structllarp_1_1rpc_1_1endpoint_1_1Endpoint.md#variable-response)**  |


## Public Functions Documentation

### function Endpoint

```cpp
inline Endpoint()
```


### function Endpoint

```cpp
inline Endpoint(
    std::string _str
)
```


### function Endpoint

```cpp
inline Endpoint(
    nlohmann::json _json
)
```


-------------------------------

Updated on 2023-01-20 at 23:19:39 +0000